<?php


namespace App\Command;


use App\Service\KeyLighterVersioner;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputArgument;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

class KeyLighterBenchmark extends Command
{
    /** @var \App\Service\KeyLighterVersioner */
    private $versioner;

    /**
     * KeyLighterUpdate constructor.
     *
     * @param \App\Service\KeyLighterVersioner $versioner
     */
    public function __construct(KeyLighterVersioner $versioner)
    {
        $this->versioner = $versioner;

        parent::__construct('keylighter:benchmark');
    }

    protected function configure()
    {
        $this->addArgument('version', InputArgument::REQUIRED, 'keylighter version to benchmark');
    }

    protected function execute(InputInterface $input, OutputInterface $output)
    {
        $directory = $this->versioner->getDirectory($input->getArgument('version'));

    }
}